/*===========================================================================*/
/*   (SawJvm/type.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_TYPE_TYPE_DEFINITIONS
#define BGL_SAW_JVM_TYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


#endif													// BGL_SAW_JVM_TYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1590z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 = BUNSPEC;
	static int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt,
		BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1578z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1580z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1573z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1576z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00(void);
	extern obj_t BGl_rtl_purez00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1594zb0zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1582z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1571z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_la1563z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t BGl_z62typezd2destzd2fun1591z62zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 = BUNSPEC;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_li1586z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_no1565z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1569z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1584z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62siza7ezd2destzd2fun1560zc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00(void);
	BGL_EXPORTED_DECL int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00(void);
	static obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1567z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1588z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeSiza7ezd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762typesiza7a7eza7c51921za7,
		BGl_z62typeSiza7ezc5zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1900z00zzsaw_jvm_typez00,
		BgL_bgl_string1900za700za7za7s1922za7, "size-dest-fun::int", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1923za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_no1565z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1924za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1567z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1925za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1569z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1910z00zzsaw_jvm_typez00,
		BgL_bgl_string1910za700za7za7s1926za7, "size-dest-fun::type", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1927za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1571z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1928za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1573z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1929za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1576z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1930za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1578z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1931za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1580z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1932za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1582z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1916z00zzsaw_jvm_typez00,
		BgL_bgl_string1916za700za7za7s1933za7, "type-dest-fun::type", 19);
	      DEFINE_STRING(BGl_string1917z00zzsaw_jvm_typez00,
		BgL_bgl_string1917za700za7za7s1934za7, "saw_jvm_type", 12);
	      DEFINE_STRING(BGl_string1918z00zzsaw_jvm_typez00,
		BgL_bgl_string1918za700za7za7s1935za7,
		"size-dest-fun void (elong llong uelong ullong double int64 uint64) ", 67);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1936za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1584z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1937za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_li1586z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1938za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1588z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1939za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1590z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1940za7,
		BGl_z62typezd2destzd2funzd2rtl_ca1594zb0zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1941za7,
		BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1895z00zzsaw_jvm_typez00,
		BgL_bgl_string1895za700za7za7s1942za7, "size-dest-fun1560", 17);
	      DEFINE_STRING(BGl_string1897z00zzsaw_jvm_typez00,
		BgL_bgl_string1897za700za7za7s1943za7, "type-dest-fun1591", 17);
	      DEFINE_STRING(BGl_string1898z00zzsaw_jvm_typez00,
		BgL_bgl_string1898za700za7za7s1944za7, "no method for", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1945za7,
		BGl_z62siza7ezd2destzd2fun1560zc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1946za7,
		BGl_z62typezd2destzd2fun1591z62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1947za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_la1563z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1948za7,
		BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_siza7ezd2destzd2envza7zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1949za7,
		BGl_z62siza7ezd2destz17zzsaw_jvm_typez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00));
		     ADD_ROOT((void *) (&BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long
		BgL_checksumz00_3091, char *BgL_fromz00_3092)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_typez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_cnstzd2initzd2zzsaw_jvm_typez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_genericzd2initzd2zzsaw_jvm_typez00();
					BGl_methodzd2initzd2zzsaw_jvm_typez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_cportz00_3052;

				{	/* SawJvm/type.scm 1 */
					obj_t BgL_stringz00_3059;

					BgL_stringz00_3059 = BGl_string1918z00zzsaw_jvm_typez00;
					{	/* SawJvm/type.scm 1 */
						obj_t BgL_startz00_3060;

						BgL_startz00_3060 = BINT(0L);
						{	/* SawJvm/type.scm 1 */
							obj_t BgL_endz00_3061;

							BgL_endz00_3061 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3059)));
							{	/* SawJvm/type.scm 1 */

								BgL_cportz00_3052 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3059, BgL_startz00_3060, BgL_endz00_3061);
				}}}}
				{
					long BgL_iz00_3053;

					BgL_iz00_3053 = 2L;
				BgL_loopz00_3054:
					if ((BgL_iz00_3053 == -1L))
						{	/* SawJvm/type.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/type.scm 1 */
							{	/* SawJvm/type.scm 1 */
								obj_t BgL_arg1920z00_3055;

								{	/* SawJvm/type.scm 1 */

									{	/* SawJvm/type.scm 1 */
										obj_t BgL_locationz00_3057;

										BgL_locationz00_3057 = BBOOL(((bool_t) 0));
										{	/* SawJvm/type.scm 1 */

											BgL_arg1920z00_3055 =
												BGl_readz00zz__readerz00(BgL_cportz00_3052,
												BgL_locationz00_3057);
										}
									}
								}
								{	/* SawJvm/type.scm 1 */
									int BgL_tmpz00_3123;

									BgL_tmpz00_3123 = (int) (BgL_iz00_3053);
									CNST_TABLE_SET(BgL_tmpz00_3123, BgL_arg1920z00_3055);
							}}
							{	/* SawJvm/type.scm 1 */
								int BgL_auxz00_3058;

								BgL_auxz00_3058 = (int) ((BgL_iz00_3053 - 1L));
								{
									long BgL_iz00_3128;

									BgL_iz00_3128 = (long) (BgL_auxz00_3058);
									BgL_iz00_3053 = BgL_iz00_3128;
									goto BgL_loopz00_3054;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 = CNST_TABLE_REF(0L);
			return BUNSPEC;
		}

	}



/* typeSize */
	BGL_EXPORTED_DEF int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt
		BgL_typez00_3)
	{
		{	/* SawJvm/type.scm 18 */
			{	/* SawJvm/type.scm 19 */
				obj_t BgL_idz00_2214;

				BgL_idz00_2214 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_3))->BgL_idz00);
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2214,
							CNST_TABLE_REF(0L))))
					{	/* SawJvm/type.scm 20 */
						return (int) (2L);
					}
				else
					{	/* SawJvm/type.scm 20 */
						if ((BgL_idz00_2214 == CNST_TABLE_REF(1L)))
							{	/* SawJvm/type.scm 21 */
								return (int) (0L);
							}
						else
							{	/* SawJvm/type.scm 21 */
								return (int) (1L);
		}}}}

	}



/* &typeSize */
	obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t BgL_envz00_2977,
		obj_t BgL_typez00_2978)
	{
		{	/* SawJvm/type.scm 18 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					((BgL_typez00_bglt) BgL_typez00_2978)));
		}

	}



/* size-dest */
	BGL_EXPORTED_DEF int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t BgL_insz00_4)
	{
		{	/* SawJvm/type.scm 24 */
			{	/* SawJvm/type.scm 25 */
				bool_t BgL_test1954z00_3146;

				{	/* SawJvm/type.scm 25 */
					obj_t BgL_classz00_2824;

					BgL_classz00_2824 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_4))
						{	/* SawJvm/type.scm 25 */
							BgL_objectz00_bglt BgL_arg1801z00_2826;

							BgL_arg1801z00_2826 = (BgL_objectz00_bglt) (BgL_insz00_4);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/type.scm 25 */
									long BgL_idxz00_2832;

									BgL_idxz00_2832 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2826);
									BgL_test1954z00_3146 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2832 + 1L)) == BgL_classz00_2824);
								}
							else
								{	/* SawJvm/type.scm 25 */
									bool_t BgL_res1882z00_2854;

									{	/* SawJvm/type.scm 25 */
										obj_t BgL_oclassz00_2840;

										{	/* SawJvm/type.scm 25 */
											long BgL_arg1808z00_2846;

											{	/* SawJvm/type.scm 25 */
												long BgL_arg1809z00_2847;

												BgL_arg1809z00_2847 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2826);
												BgL_arg1808z00_2846 =
													(BgL_arg1809z00_2847 - OBJECT_TYPE);
											}
											BgL_oclassz00_2840 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_2846);
										}
										{	/* SawJvm/type.scm 25 */
											bool_t BgL__ortest_1115z00_2841;

											BgL__ortest_1115z00_2841 =
												(BgL_classz00_2824 == BgL_oclassz00_2840);
											if (BgL__ortest_1115z00_2841)
												{	/* SawJvm/type.scm 25 */
													BgL_res1882z00_2854 = BgL__ortest_1115z00_2841;
												}
											else
												{	/* SawJvm/type.scm 25 */
													long BgL_odepthz00_2842;

													BgL_odepthz00_2842 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2840);
													if ((1L < BgL_odepthz00_2842))
														{	/* SawJvm/type.scm 25 */
															obj_t BgL_arg1797z00_2844;

															BgL_arg1797z00_2844 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2840, 1L);
															BgL_res1882z00_2854 =
																(BgL_arg1797z00_2844 == BgL_classz00_2824);
														}
													else
														{	/* SawJvm/type.scm 25 */
															BgL_res1882z00_2854 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1954z00_3146 = BgL_res1882z00_2854;
								}
						}
					else
						{	/* SawJvm/type.scm 25 */
							BgL_test1954z00_3146 = ((bool_t) 0);
						}
				}
				if (BgL_test1954z00_3146)
					{	/* SawJvm/type.scm 26 */
						BgL_typez00_bglt BgL_arg1606z00_2217;

						BgL_arg1606z00_2217 =
							(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_insz00_4)))->BgL_typez00);
						return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1606z00_2217);
					}
				else
					{	/* SawJvm/type.scm 25 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_destz00)))
							{	/* SawJvm/type.scm 29 */
								BgL_typez00_bglt BgL_arg1608z00_2220;

								BgL_arg1608z00_2220 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt)
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_4)))->
													BgL_destz00))))->BgL_typez00);
								return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1608z00_2220);
							}
						else
							{	/* SawJvm/type.scm 30 */
								BgL_rtl_funz00_bglt BgL_arg1613z00_2222;

								BgL_arg1613z00_2222 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_funz00);
								return
									BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00
									(BgL_arg1613z00_2222, ((BgL_rtl_insz00_bglt) BgL_insz00_4));
							}
					}
			}
		}

	}



/* &size-dest */
	obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t BgL_envz00_2979,
		obj_t BgL_insz00_2980)
	{
		{	/* SawJvm/type.scm 24 */
			return BINT(BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_2980));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_proc1894z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1895z00zzsaw_jvm_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_proc1896z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1897z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun1591 */
	obj_t BGl_z62typezd2destzd2fun1591z62zzsaw_jvm_typez00(obj_t BgL_envz00_2983,
		obj_t BgL_funz00_2984)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 76 */
				obj_t BgL_arg1620z00_3064;

				{	/* SawJvm/type.scm 76 */
					obj_t BgL_arg1621z00_3065;

					{	/* SawJvm/type.scm 76 */
						long BgL_arg1808z00_3066;

						{	/* SawJvm/type.scm 76 */
							long BgL_arg1809z00_3067;

							BgL_arg1809z00_3067 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_funz00_2984)));
							BgL_arg1808z00_3066 = (BgL_arg1809z00_3067 - OBJECT_TYPE);
						}
						BgL_arg1621z00_3065 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							BgL_arg1808z00_3066);
					}
					BgL_arg1620z00_3064 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1621z00_3065);
				}
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(2L),
					BGl_string1898z00zzsaw_jvm_typez00, BgL_arg1620z00_3064);
			}
		}

	}



/* &size-dest-fun1560 */
	obj_t BGl_z62siza7ezd2destzd2fun1560zc5zzsaw_jvm_typez00(obj_t
		BgL_envz00_2985, obj_t BgL_funz00_2986, obj_t BgL_insz00_2987)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00
				(BGl_typezd2destzd2funz00zzsaw_jvm_typez00(((BgL_rtl_funz00_bglt)
							BgL_funz00_2986))));
		}

	}



/* size-dest-fun */
	int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_5, BgL_rtl_insz00_bglt BgL_insz00_6)
	{
		{	/* SawJvm/type.scm 35 */
			{	/* SawJvm/type.scm 35 */
				obj_t BgL_method1561z00_2235;

				{	/* SawJvm/type.scm 35 */
					obj_t BgL_res1887z00_2896;

					{	/* SawJvm/type.scm 35 */
						long BgL_objzd2classzd2numz00_2867;

						BgL_objzd2classzd2numz00_2867 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_5));
						{	/* SawJvm/type.scm 35 */
							obj_t BgL_arg1805z00_2868;

							BgL_arg1805z00_2868 =
								PROCEDURE_REF(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
								(int) (1L));
							{	/* SawJvm/type.scm 35 */
								int BgL_offsetz00_2871;

								BgL_offsetz00_2871 = (int) (BgL_objzd2classzd2numz00_2867);
								{	/* SawJvm/type.scm 35 */
									long BgL_offsetz00_2872;

									BgL_offsetz00_2872 =
										((long) (BgL_offsetz00_2871) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 35 */
										long BgL_modz00_2873;

										BgL_modz00_2873 =
											(BgL_offsetz00_2872 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/type.scm 35 */
											long BgL_restz00_2875;

											BgL_restz00_2875 =
												(BgL_offsetz00_2872 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/type.scm 35 */

												{	/* SawJvm/type.scm 35 */
													obj_t BgL_bucketz00_2877;

													BgL_bucketz00_2877 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2868), BgL_modz00_2873);
													BgL_res1887z00_2896 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2877), BgL_restz00_2875);
					}}}}}}}}
					BgL_method1561z00_2235 = BgL_res1887z00_2896;
				}
				return
					CINT(
					(VA_PROCEDUREP(BgL_method1561z00_2235) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1561z00_2235)) (BgL_method1561z00_2235,
							((obj_t) BgL_funz00_5), ((obj_t) BgL_insz00_6),
							BEOA) : ((obj_t(*)(obj_t, obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1561z00_2235)) (BgL_method1561z00_2235,
							((obj_t) BgL_funz00_5), ((obj_t) BgL_insz00_6))));
			}
		}

	}



/* &size-dest-fun */
	obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t BgL_envz00_2988,
		obj_t BgL_funz00_2989, obj_t BgL_insz00_2990)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(
					((BgL_rtl_funz00_bglt) BgL_funz00_2989),
					((BgL_rtl_insz00_bglt) BgL_insz00_2990)));
		}

	}



/* type-dest-fun */
	BgL_typez00_bglt BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_35)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 74 */
				obj_t BgL_method1592z00_2236;

				{	/* SawJvm/type.scm 74 */
					obj_t BgL_res1892z00_2927;

					{	/* SawJvm/type.scm 74 */
						long BgL_objzd2classzd2numz00_2898;

						BgL_objzd2classzd2numz00_2898 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_35));
						{	/* SawJvm/type.scm 74 */
							obj_t BgL_arg1805z00_2899;

							BgL_arg1805z00_2899 =
								PROCEDURE_REF(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
								(int) (1L));
							{	/* SawJvm/type.scm 74 */
								int BgL_offsetz00_2902;

								BgL_offsetz00_2902 = (int) (BgL_objzd2classzd2numz00_2898);
								{	/* SawJvm/type.scm 74 */
									long BgL_offsetz00_2903;

									BgL_offsetz00_2903 =
										((long) (BgL_offsetz00_2902) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 74 */
										long BgL_modz00_2904;

										BgL_modz00_2904 =
											(BgL_offsetz00_2903 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/type.scm 74 */
											long BgL_restz00_2906;

											BgL_restz00_2906 =
												(BgL_offsetz00_2903 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/type.scm 74 */

												{	/* SawJvm/type.scm 74 */
													obj_t BgL_bucketz00_2908;

													BgL_bucketz00_2908 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_2899), BgL_modz00_2904);
													BgL_res1892z00_2927 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2908), BgL_restz00_2906);
					}}}}}}}}
					BgL_method1592z00_2236 = BgL_res1892z00_2927;
				}
				return
					((BgL_typez00_bglt)
					(VA_PROCEDUREP(BgL_method1592z00_2236) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1592z00_2236)) (BgL_method1592z00_2236,
							((obj_t) BgL_funz00_35), BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1592z00_2236)) (BgL_method1592z00_2236,
							((obj_t) BgL_funz00_35))));
			}
		}

	}



/* &type-dest-fun */
	BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t
		BgL_envz00_2991, obj_t BgL_funz00_2992)
	{
		{	/* SawJvm/type.scm 74 */
			return
				BGl_typezd2destzd2funz00zzsaw_jvm_typez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_2992));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lastz00zzsaw_defsz00, BGl_proc1899z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_notseqz00zzsaw_defsz00, BGl_proc1901z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_effectz00zzsaw_defsz00, BGl_proc1902z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_purez00zzsaw_defsz00, BGl_proc1903z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_movz00zzsaw_defsz00, BGl_proc1904z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc1905z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc1906z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1907z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc1908z00zzsaw_jvm_typez00,
				BGl_string1900z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc1909z00zzsaw_jvm_typez00,
				BGl_string1910z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_applyz00zzsaw_defsz00, BGl_proc1911z00zzsaw_jvm_typez00,
				BGl_string1910z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc1912z00zzsaw_jvm_typez00,
				BGl_string1910z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc1913z00zzsaw_jvm_typez00,
				BGl_string1910z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc1914z00zzsaw_jvm_typez00,
				BGl_string1910z00zzsaw_jvm_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc1915z00zzsaw_jvm_typez00,
				BGl_string1916z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun-rtl_ca1594 */
	BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1594zb0zzsaw_jvm_typez00(obj_t
		BgL_envz00_3008, obj_t BgL_funz00_3009)
	{
		{	/* SawJvm/type.scm 78 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_funz00_3009)))->BgL_varz00))))->
				BgL_typez00);
		}

	}



/* &size-dest-fun-rtl_ca1590 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ca1590z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3010, obj_t BgL_funz00_3011, obj_t BgL_insz00_3012)
	{
		{	/* SawJvm/type.scm 70 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_fu1588 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_fu1588z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3013, obj_t BgL_funz00_3014, obj_t BgL_insz00_3015)
	{
		{	/* SawJvm/type.scm 69 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_li1586 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_li1586z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3016, obj_t BgL_funz00_3017, obj_t BgL_insz00_3018)
	{
		{	/* SawJvm/type.scm 68 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_ap1584 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ap1584z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3019, obj_t BgL_funz00_3020, obj_t BgL_insz00_3021)
	{
		{	/* SawJvm/type.scm 67 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_ne1582 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ne1582z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3022, obj_t BgL_funz00_3023, obj_t BgL_insz00_3024)
	{
		{	/* SawJvm/type.scm 66 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_vr1580 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_vr1580z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3025, obj_t BgL_funz00_3026, obj_t BgL_insz00_3027)
	{
		{	/* SawJvm/type.scm 62 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_vrefz00_bglt) COBJECT(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_3026)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_ge1578 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ge1578z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3028, obj_t BgL_funz00_3029, obj_t BgL_insz00_3030)
	{
		{	/* SawJvm/type.scm 59 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
								((BgL_rtl_getfieldz00_bglt) BgL_funz00_3029)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_lo1576 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1576z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3031, obj_t BgL_funz00_3032, obj_t BgL_insz00_3033)
	{
		{	/* SawJvm/type.scm 56 */
			{	/* SawJvm/type.scm 57 */
				int BgL_tmpz00_3300;

				{	/* SawJvm/type.scm 57 */
					BgL_typez00_bglt BgL_arg1649z00_3079;

					BgL_arg1649z00_3079 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									(((BgL_rtl_loadgz00_bglt) COBJECT(
												((BgL_rtl_loadgz00_bglt) BgL_funz00_3032)))->
										BgL_varz00))))->BgL_typez00);
					BgL_tmpz00_3300 =
						BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1649z00_3079);
				}
				return BINT(BgL_tmpz00_3300);
			}
		}

	}



/* &size-dest-fun-rtl_lo1573 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1573z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3034, obj_t BgL_funz00_3035, obj_t BgL_insz00_3036)
	{
		{	/* SawJvm/type.scm 49 */
			{	/* SawJvm/type.scm 50 */
				int BgL_tmpz00_3307;

				{	/* SawJvm/type.scm 50 */
					BgL_atomz00_bglt BgL_constantz00_3081;

					BgL_constantz00_3081 =
						(((BgL_rtl_loadiz00_bglt) COBJECT(
								((BgL_rtl_loadiz00_bglt) BgL_funz00_3035)))->BgL_constantz00);
					{	/* SawJvm/type.scm 51 */
						obj_t BgL_valuez00_3082;

						BgL_valuez00_3082 =
							(((BgL_atomz00_bglt) COBJECT(BgL_constantz00_3081))->
							BgL_valuez00);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_3082))
							{	/* SawJvm/type.scm 53 */
								BgL_typez00_bglt BgL_arg1639z00_3083;

								BgL_arg1639z00_3083 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_constantz00_3081)))->BgL_typez00);
								BgL_tmpz00_3307 =
									BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1639z00_3083);
							}
						else
							{	/* SawJvm/type.scm 52 */
								BgL_tmpz00_3307 = (int) (1L);
				}}}
				return BINT(BgL_tmpz00_3307);
			}
		}

	}



/* &size-dest-fun-rtl_mo1571 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_mo1571z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3037, obj_t BgL_funz00_3038, obj_t BgL_insz00_3039)
	{
		{	/* SawJvm/type.scm 46 */
			{	/* SawJvm/type.scm 47 */
				int BgL_tmpz00_3318;

				{	/* SawJvm/type.scm 47 */
					obj_t BgL_arg1628z00_3085;

					{	/* SawJvm/type.scm 47 */
						obj_t BgL_pairz00_3086;

						BgL_pairz00_3086 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_3039)))->BgL_argsz00);
						BgL_arg1628z00_3085 = CAR(BgL_pairz00_3086);
					}
					BgL_tmpz00_3318 =
						BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_arg1628z00_3085);
				}
				return BINT(BgL_tmpz00_3318);
			}
		}

	}



/* &size-dest-fun-rtl_pu1569 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_pu1569z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3040, obj_t BgL_funz00_3041, obj_t BgL_insz00_3042)
	{
		{	/* SawJvm/type.scm 44 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_ef1567 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ef1567z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3043, obj_t BgL_funz00_3044, obj_t BgL_insz00_3045)
	{
		{	/* SawJvm/type.scm 41 */
			return BINT(0L);
		}

	}



/* &size-dest-fun-rtl_no1565 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_no1565z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3046, obj_t BgL_funz00_3047, obj_t BgL_insz00_3048)
	{
		{	/* SawJvm/type.scm 40 */
			return BINT(0L);
		}

	}



/* &size-dest-fun-rtl_la1563 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_la1563z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3049, obj_t BgL_funz00_3050, obj_t BgL_insz00_3051)
	{
		{	/* SawJvm/type.scm 39 */
			return BINT(0L);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(179871433L,
				BSTRING_TO_STRING(BGl_string1917z00zzsaw_jvm_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
